Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Namespaces | Macros | Typedefs | Functions | Variables
ftypes.h File Reference
`#include "fplatform.h"`
`#include <cstdint>`

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.

## Macros
#define | UNICODE 1
#define | _UNICODE 1
#define | SWAP_32(l)
| Byte-order Conversion Macros.
#define | SWAP_16(w)
#define | SWAP_64(i)
#define | SMTG_ALWAYS_INLINE __inline__ __attribute__((__always_inline__))
#define | SMTG_NEVER_INLINE __attribute__((noinline))

## Typedefs
typedef char | int8
typedef uint8_t | uint8
typedef unsigned char | uchar
typedef int16_t | int16
typedef uint16_t | uint16
typedef int32_t | int32
typedef uint32_t | uint32
typedef int64_t | int64
typedef uint64_t | uint64
typedef int64 | TSize
typedef int32 | tresult
typedef uint64 | TPtrInt
typedef uint8 | TBool
typedef char | char8
typedef char16_t | char16
typedef char16 | char
typedef const char8 * | CStringA
typedef const char16 * | CStringW
typedef const char * | CString
typedef const char8 * | FIDString
typedef int32 | UCoord
| Coordinates.

## Functions
bool | strEmpty (const char *str)
bool | str8Empty (const char8 *str)
bool | str16Empty (const char16 *str)

## Variables
const FIDString | kPlatformStringWin = "WIN"
const FIDString | kPlatformStringMac = "MAC"
const FIDString | kPlatformStringIOS = "IOS"
const FIDString | kPlatformStringLinux = "Linux"
const FIDString | kPlatformString = kPlatformStringLinux

## Macro Definition Documentation

#define UNICODE 1

#define _UNICODE 1

#define SWAP_32 | ( |  | l | ) |

Value:
{ \
unsigned char* p = (unsigned char*)& (l); \
unsigned char t; \
t = p[0]; p[0] = p[3]; p[3] = t; t = p[1]; p[1] = p[2]; p[2] = t; }

Byte-order Conversion Macros.

#define SWAP_16 | ( |  | w | ) |

Value:
{ \
unsigned char* p = (unsigned char*)& (w); \
unsigned char t; \
t = p[0]; p[0] = p[1]; p[1] = t; }

#define SWAP_64 | ( |  | i | ) |

Value:
{ \
unsigned char* p = (unsigned char*)& (i); \
unsigned char t; \
t = p[0]; p[0] = p[7]; p[7] = t; t = p[1]; p[1] = p[6]; p[6] = t; \
t = p[2]; p[2] = p[5]; p[5] = t; t = p[3]; p[3] = p[4]; p[4] = t;}

#define SMTG_ALWAYS_INLINE __inline__ __attribute__((__always_inline__))

#define SMTG_NEVER_INLINE __attribute__((noinline))

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.